io.agora.rtc

## Class WatermarkRatio

- java.lang.Object
- - io.agora.rtc.WatermarkRatio

-     public class WatermarkRatio
      extends java.lang.Object

  Watermark ratio configuration class. Defines the position and size ratios of a watermark relative to the video frame.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `widthRatio` Width ratio relative to video frame (0.0 to 1.0).
    `private float` | `xRatio` X-axis position ratio (0.0 to 1.0).
    `private float` | `yRatio` Y-axis position ratio (0.0 to 1.0).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WatermarkRatio()` Default constructor.
    `WatermarkRatio(float xRatio, float yRatio, float widthRatio)` Constructor with parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getWidthRatio()` Gets the width ratio.
    `float` | `getXRatio()` Gets the X-axis position ratio.
    `float` | `getYRatio()` Gets the Y-axis position ratio.
    `void` | `setWidthRatio(float widthRatio)` Sets the width ratio.
    `void` | `setXRatio(float xRatio)` Sets the X-axis position ratio.
    `void` | `setYRatio(float yRatio)` Sets the Y-axis position ratio.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xRatio

          private float xRatio

      X-axis position ratio (0.0 to 1.0).

    - #### yRatio

          private float yRatio

      Y-axis position ratio (0.0 to 1.0).

    - #### widthRatio

          private float widthRatio

      Width ratio relative to video frame (0.0 to 1.0).

  - ### Constructor Detail

    - #### WatermarkRatio

          public WatermarkRatio()

      Default constructor.

    - #### WatermarkRatio

          public WatermarkRatio(float xRatio,
                                float yRatio,
                                float widthRatio)

      Constructor with parameters.
      Parameters:
        `xRatio` - X-axis position ratio (0.0 to 1.0)
        `yRatio` - Y-axis position ratio (0.0 to 1.0)
        `widthRatio` - Width ratio relative to video frame (0.0 to 1.0)

  - ### Method Detail

    - #### getXRatio

          public float getXRatio()

      Gets the X-axis position ratio.
      Returns:
        X-axis position ratio (0.0 to 1.0)

    - #### setXRatio

          public void setXRatio(float xRatio)

      Sets the X-axis position ratio.
      Parameters:
        `xRatio` - X-axis position ratio (0.0 to 1.0)

    - #### getYRatio

          public float getYRatio()

      Gets the Y-axis position ratio.
      Returns:
        Y-axis position ratio (0.0 to 1.0)

    - #### setYRatio

          public void setYRatio(float yRatio)

      Sets the Y-axis position ratio.
      Parameters:
        `yRatio` - Y-axis position ratio (0.0 to 1.0)

    - #### getWidthRatio

          public float getWidthRatio()

      Gets the width ratio.
      Returns:
        Width ratio relative to video frame (0.0 to 1.0)

    - #### setWidthRatio

          public void setWidthRatio(float widthRatio)

      Sets the width ratio.
      Parameters:
        `widthRatio` - Width ratio relative to video frame (0.0 to 1.0)